#!/opt/tcl-8.0/bin/tclsh8.0

proc printArray {var} {

        global log_info log_upto log_mask
	switch $var {
		info {
			foreach index [array get log_info] {
				puts $index
			}
		}
		upto {
			foreach index [array get log_upto] {
				puts $index
			}
		}
		mask {
			foreach index [array get log_mask] {
				puts $index
			}
		}
	}
}


package require Tclx
package require Tcllog

openlog test $log_info(LOG_NDELAY) $log_info(LOG_LOCAL2)

syslog $log_info(LOG_DEBUG) {======================================}
syslog $log_info(LOG_DEBUG) {logging at level :: Log_Debug}
syslog $log_info(LOG_DEBUG) [format "user name :: %s" [id user]]

setlogmask $log_upto(LOG_WARNING)
syslog $log_info(LOG_NOTICE) {This will not log if mask is set correctly}
syslog $log_info(LOG_INFO) {This will not log if mask is set correctly}
syslog $log_info(LOG_DEBUG) {This will not log if mask is set correctly}

setlogmask $log_upto(LOG_INFO)
syslog $log_info(LOG_INFO) {This will log if mask is set correctly}

setlogmask $log_upto(LOG_DEBUG)
syslog $log_info(LOG_DEBUG) {This will log if mask is set correctly}

syslog $log_info(LOG_DEBUG) {--------------------------------------}
closelog
exit

#printArray info
#printArray upto
#printArray mask

